-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Charts - Zooming and Panning API
This example demonstrates how you can connect the Chart and RangeSelector components in order to zoom into the appropriate data range within the Chart. Move the sliders along the RangeSelector, and you will note that the value axis of the Chart is adjusted automatically.
Backend API
$(() => {
const series = [{
argumentField: 'arg',
valueField: 'y1',
}, {
argumentField: 'arg',
valueField: 'y2',
}, {
argumentField: 'arg',
valueField: 'y3',
}];
$('#zoomedChart').dxChart({
palette: 'Harmony Light',
dataSource: zoomingData,
commonSeriesSettings: {
point: {
size: 7,
},
},
series,
legend: {
visible: false,
},
});
$('#rangeSelector').dxRangeSelector({
size: {
height: 120,
},
margin: {
left: 10,
},
scale: {
minorTickCount: 1,
},
dataSource: zoomingData,
chart: {
series,
palette: 'Harmony Light',
},
behavior: {
valueChangeMode: 'onHandleMove',
},
onValueChanged(e) {
const zoomedChart = $('#zoomedChart').dxChart('instance');
zoomedChart.getArgumentAxis().visualRange(e.value);
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="js/dx.all.js?v=26.1.3"></script>
<script src="data.js"></script>
<script src="index.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="zoomedChart"></div>
<div id="rangeSelector"></div>
</div>
</body>
</html>
const zoomingData = [
{
arg: 10, y1: -12, y2: 10, y3: 32,
},
{
arg: 20, y1: -32, y2: 30, y3: 12,
},
{
arg: 40, y1: -20, y2: 20, y3: 30,
},
{
arg: 50, y1: -39, y2: 50, y3: 19,
},
{
arg: 60, y1: -10, y2: 10, y3: 15,
},
{
arg: 75, y1: 10, y2: 10, y3: 15,
},
{
arg: 80, y1: 30, y2: 50, y3: 13,
},
{
arg: 90, y1: 40, y2: 50, y3: 14,
},
{
arg: 100, y1: 50, y2: 90, y3: 90,
},
{
arg: 105, y1: 40, y2: 175, y3: 120,
},
{
arg: 110, y1: -12, y2: 10, y3: 32,
},
{
arg: 120, y1: -32, y2: 30, y3: 12,
},
{
arg: 130, y1: -20, y2: 20, y3: 30,
},
{
arg: 140, y1: -12, y2: 10, y3: 32,
},
{
arg: 150, y1: -32, y2: 30, y3: 12,
},
{
arg: 160, y1: -20, y2: 20, y3: 30,
},
{
arg: 170, y1: -39, y2: 50, y3: 19,
},
{
arg: 180, y1: -10, y2: 10, y3: 15,
},
{
arg: 185, y1: 10, y2: 10, y3: 15,
},
{
arg: 190, y1: 30, y2: 100, y3: 13,
},
{
arg: 200, y1: 40, y2: 110, y3: 14,
},
{
arg: 210, y1: 50, y2: 90, y3: 90,
},
{
arg: 220, y1: 40, y2: 95, y3: 120,
},
{
arg: 230, y1: -12, y2: 10, y3: 32,
},
{
arg: 240, y1: -32, y2: 30, y3: 12,
},
{
arg: 255, y1: -20, y2: 20, y3: 30,
},
{
arg: 270, y1: -12, y2: 10, y3: 32,
},
{
arg: 280, y1: -32, y2: 30, y3: 12,
},
{
arg: 290, y1: -20, y2: 20, y3: 30,
},
{
arg: 295, y1: -39, y2: 50, y3: 19,
},
{
arg: 300, y1: -10, y2: 10, y3: 15,
},
{
arg: 310, y1: 10, y2: 10, y3: 15,
},
{
arg: 320, y1: 30, y2: 100, y3: 13,
},
{
arg: 330, y1: 40, y2: 110, y3: 14,
},
{
arg: 340, y1: 50, y2: 90, y3: 90,
},
{
arg: 350, y1: 40, y2: 95, y3: 120,
},
{
arg: 360, y1: -12, y2: 10, y3: 32,
},
{
arg: 367, y1: -32, y2: 30, y3: 12,
},
{
arg: 370, y1: -20, y2: 20, y3: 30,
},
{
arg: 380, y1: -12, y2: 10, y3: 32,
},
{
arg: 390, y1: -32, y2: 30, y3: 12,
},
{
arg: 400, y1: -20, y2: 20, y3: 30,
},
{
arg: 410, y1: -39, y2: 50, y3: 19,
},
{
arg: 420, y1: -10, y2: 10, y3: 15,
},
{
arg: 430, y1: 10, y2: 10, y3: 15,
},
{
arg: 440, y1: 30, y2: 100, y3: 13,
},
{
arg: 450, y1: 40, y2: 110, y3: 14,
},
{
arg: 460, y1: 50, y2: 90, y3: 90,
},
{
arg: 470, y1: 40, y2: 95, y3: 120,
},
{
arg: 480, y1: -12, y2: 10, y3: 32,
},
{
arg: 490, y1: -32, y2: 30, y3: 12,
},
{
arg: 500, y1: -20, y2: 20, y3: 30,
},
{
arg: 510, y1: -12, y2: 10, y3: 32,
},
{
arg: 520, y1: -32, y2: 30, y3: 12,
},
{
arg: 530, y1: -20, y2: 20, y3: 30,
},
{
arg: 540, y1: -39, y2: 50, y3: 19,
},
{
arg: 550, y1: -10, y2: 10, y3: 15,
},
{
arg: 555, y1: 10, y2: 10, y3: 15,
},
{
arg: 560, y1: 30, y2: 100, y3: 13,
},
{
arg: 570, y1: 40, y2: 110, y3: 14,
},
{
arg: 580, y1: 50, y2: 90, y3: 90,
},
{
arg: 590, y1: 40, y2: 95, y3: 12,
},
{
arg: 600, y1: -12, y2: 10, y3: 32,
},
{
arg: 610, y1: -32, y2: 30, y3: 12,
},
{
arg: 620, y1: -20, y2: 20, y3: 30,
},
{
arg: 630, y1: -12, y2: 10, y3: 32,
},
{
arg: 640, y1: -32, y2: 30, y3: 12,
},
{
arg: 650, y1: -20, y2: 20, y3: 30,
},
{
arg: 660, y1: -39, y2: 50, y3: 19,
},
{
arg: 670, y1: -10, y2: 10, y3: 15,
},
{
arg: 680, y1: 10, y2: 10, y3: 15,
},
{
arg: 690, y1: 30, y2: 100, y3: 13,
},
{
arg: 700, y1: 40, y2: 110, y3: 14,
},
{
arg: 710, y1: 50, y2: 90, y3: 90,
},
{
arg: 720, y1: 40, y2: 95, y3: 120,
},
{
arg: 730, y1: 20, y2: 190, y3: 130,
},
{
arg: 740, y1: -32, y2: 30, y3: 12,
},
{
arg: 750, y1: -20, y2: 20, y3: 30,
},
{
arg: 760, y1: -12, y2: 10, y3: 32,
},
{
arg: 770, y1: -32, y2: 30, y3: 12,
},
{
arg: 780, y1: -20, y2: 20, y3: 30,
},
{
arg: 790, y1: -39, y2: 50, y3: 19,
},
{
arg: 800, y1: -10, y2: 10, y3: 15,
},
{
arg: 810, y1: 10, y2: 10, y3: 15,
},
{
arg: 820, y1: 30, y2: 100, y3: 13,
},
{
arg: 830, y1: 40, y2: 110, y3: 14,
},
{
arg: 840, y1: 50, y2: 90, y3: 90,
},
{
arg: 850, y1: 40, y2: 95, y3: 120,
},
{
arg: 860, y1: -12, y2: 10, y3: 32,
},
{
arg: 870, y1: -32, y2: 30, y3: 12,
},
{
arg: 880, y1: -20, y2: 20, y3: 30,
},
];

Backend API
<template>
<div>
<DxChart
:data-source="zoomingData"
:series="series"
palette="Harmony Light"
>
<DxCommonSeriesSettings>
<DxPoint :size="7"/>
</DxCommonSeriesSettings>
<DxLegend :visible="false"/>
<DxArgumentAxis :visual-range="range"/>
</DxChart>
<DxRangeSelector
:data-source="zoomingData"
v-model:value="range"
>
<DxSize :height="120"/>
<DxMargin :left="10"/>
<DxScale :minor-tick-count="1"/>
<DxRsChart
:series="series"
palette="Harmony Light"
/>
<DxBehavior value-change-mode="onHandleMove"/>
</DxRangeSelector>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxChart,
DxCommonSeriesSettings,
DxPoint,
DxLegend,
DxArgumentAxis,
} from 'devextreme-vue/chart';
import {
DxRangeSelector,
DxSize,
DxMargin,
DxScale,
DxChart as DxRsChart,
DxBehavior,
} from 'devextreme-vue/range-selector';
import { zoomingData } from './data.ts';
const range = ref([]);
const series = [{
valueField: 'y1',
}, {
valueField: 'y2',
}, {
valueField: 'y3',
}];
</script>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
export const zoomingData = [
{
arg: 10, y1: -12, y2: 10, y3: 32,
},
{
arg: 20, y1: -32, y2: 30, y3: 12,
},
{
arg: 40, y1: -20, y2: 20, y3: 30,
},
{
arg: 50, y1: -39, y2: 50, y3: 19,
},
{
arg: 60, y1: -10, y2: 10, y3: 15,
},
{
arg: 75, y1: 10, y2: 10, y3: 15,
},
{
arg: 80, y1: 30, y2: 50, y3: 13,
},
{
arg: 90, y1: 40, y2: 50, y3: 14,
},
{
arg: 100, y1: 50, y2: 90, y3: 90,
},
{
arg: 105, y1: 40, y2: 175, y3: 120,
},
{
arg: 110, y1: -12, y2: 10, y3: 32,
},
{
arg: 120, y1: -32, y2: 30, y3: 12,
},
{
arg: 130, y1: -20, y2: 20, y3: 30,
},
{
arg: 140, y1: -12, y2: 10, y3: 32,
},
{
arg: 150, y1: -32, y2: 30, y3: 12,
},
{
arg: 160, y1: -20, y2: 20, y3: 30,
},
{
arg: 170, y1: -39, y2: 50, y3: 19,
},
{
arg: 180, y1: -10, y2: 10, y3: 15,
},
{
arg: 185, y1: 10, y2: 10, y3: 15,
},
{
arg: 190, y1: 30, y2: 100, y3: 13,
},
{
arg: 200, y1: 40, y2: 110, y3: 14,
},
{
arg: 210, y1: 50, y2: 90, y3: 90,
},
{
arg: 220, y1: 40, y2: 95, y3: 120,
},
{
arg: 230, y1: -12, y2: 10, y3: 32,
},
{
arg: 240, y1: -32, y2: 30, y3: 12,
},
{
arg: 255, y1: -20, y2: 20, y3: 30,
},
{
arg: 270, y1: -12, y2: 10, y3: 32,
},
{
arg: 280, y1: -32, y2: 30, y3: 12,
},
{
arg: 290, y1: -20, y2: 20, y3: 30,
},
{
arg: 295, y1: -39, y2: 50, y3: 19,
},
{
arg: 300, y1: -10, y2: 10, y3: 15,
},
{
arg: 310, y1: 10, y2: 10, y3: 15,
},
{
arg: 320, y1: 30, y2: 100, y3: 13,
},
{
arg: 330, y1: 40, y2: 110, y3: 14,
},
{
arg: 340, y1: 50, y2: 90, y3: 90,
},
{
arg: 350, y1: 40, y2: 95, y3: 120,
},
{
arg: 360, y1: -12, y2: 10, y3: 32,
},
{
arg: 367, y1: -32, y2: 30, y3: 12,
},
{
arg: 370, y1: -20, y2: 20, y3: 30,
},
{
arg: 380, y1: -12, y2: 10, y3: 32,
},
{
arg: 390, y1: -32, y2: 30, y3: 12,
},
{
arg: 400, y1: -20, y2: 20, y3: 30,
},
{
arg: 410, y1: -39, y2: 50, y3: 19,
},
{
arg: 420, y1: -10, y2: 10, y3: 15,
},
{
arg: 430, y1: 10, y2: 10, y3: 15,
},
{
arg: 440, y1: 30, y2: 100, y3: 13,
},
{
arg: 450, y1: 40, y2: 110, y3: 14,
},
{
arg: 460, y1: 50, y2: 90, y3: 90,
},
{
arg: 470, y1: 40, y2: 95, y3: 120,
},
{
arg: 480, y1: -12, y2: 10, y3: 32,
},
{
arg: 490, y1: -32, y2: 30, y3: 12,
},
{
arg: 500, y1: -20, y2: 20, y3: 30,
},
{
arg: 510, y1: -12, y2: 10, y3: 32,
},
{
arg: 520, y1: -32, y2: 30, y3: 12,
},
{
arg: 530, y1: -20, y2: 20, y3: 30,
},
{
arg: 540, y1: -39, y2: 50, y3: 19,
},
{
arg: 550, y1: -10, y2: 10, y3: 15,
},
{
arg: 555, y1: 10, y2: 10, y3: 15,
},
{
arg: 560, y1: 30, y2: 100, y3: 13,
},
{
arg: 570, y1: 40, y2: 110, y3: 14,
},
{
arg: 580, y1: 50, y2: 90, y3: 90,
},
{
arg: 590, y1: 40, y2: 95, y3: 12,
},
{
arg: 600, y1: -12, y2: 10, y3: 32,
},
{
arg: 610, y1: -32, y2: 30, y3: 12,
},
{
arg: 620, y1: -20, y2: 20, y3: 30,
},
{
arg: 630, y1: -12, y2: 10, y3: 32,
},
{
arg: 640, y1: -32, y2: 30, y3: 12,
},
{
arg: 650, y1: -20, y2: 20, y3: 30,
},
{
arg: 660, y1: -39, y2: 50, y3: 19,
},
{
arg: 670, y1: -10, y2: 10, y3: 15,
},
{
arg: 680, y1: 10, y2: 10, y3: 15,
},
{
arg: 690, y1: 30, y2: 100, y3: 13,
},
{
arg: 700, y1: 40, y2: 110, y3: 14,
},
{
arg: 710, y1: 50, y2: 90, y3: 90,
},
{
arg: 720, y1: 40, y2: 95, y3: 120,
},
{
arg: 730, y1: 20, y2: 190, y3: 130,
},
{
arg: 740, y1: -32, y2: 30, y3: 12,
},
{
arg: 750, y1: -20, y2: 20, y3: 30,
},
{
arg: 760, y1: -12, y2: 10, y3: 32,
},
{
arg: 770, y1: -32, y2: 30, y3: 12,
},
{
arg: 780, y1: -20, y2: 20, y3: 30,
},
{
arg: 790, y1: -39, y2: 50, y3: 19,
},
{
arg: 800, y1: -10, y2: 10, y3: 15,
},
{
arg: 810, y1: 10, y2: 10, y3: 15,
},
{
arg: 820, y1: 30, y2: 100, y3: 13,
},
{
arg: 830, y1: 40, y2: 110, y3: 14,
},
{
arg: 840, y1: 50, y2: 90, y3: 90,
},
{
arg: 850, y1: 40, y2: 95, y3: 120,
},
{
arg: 860, y1: -12, y2: 10, y3: 32,
},
{
arg: 870, y1: -32, y2: 30, y3: 12,
},
{
arg: 880, y1: -20, y2: 20, y3: 30,
},
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="dx-theme" data-theme="generic.light" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

Backend API
<dx-chart #zoomedChart palette="Harmony Light" [dataSource]="zoomingData">
<dxi-chart-series argumentField="arg" valueField="y1"></dxi-chart-series>
<dxi-chart-series argumentField="arg" valueField="y2"></dxi-chart-series>
<dxi-chart-series argumentField="arg" valueField="y3"></dxi-chart-series>
<dxo-chart-common-series-settings>
<dxo-chart-point [size]="7"></dxo-chart-point>
</dxo-chart-common-series-settings>
<dxo-chart-legend [visible]="false"></dxo-chart-legend>
<dxo-chart-argument-axis [visualRange]="visualRange">
</dxo-chart-argument-axis>
</dx-chart>
<dx-range-selector [dataSource]="zoomingData" [(value)]="visualRange">
<dxo-range-selector-size [height]="120"></dxo-range-selector-size>
<dxo-range-selector-margin [left]="10"></dxo-range-selector-margin>
<dxo-range-selector-scale [minorTickCount]="1"></dxo-range-selector-scale>
<dxo-range-selector-behavior
valueChangeMode="onHandleMove"
></dxo-range-selector-behavior>
<dxo-range-selector-chart palette="Harmony Light">
<dxi-range-selector-series
argumentField="arg"
valueField="y1"
></dxi-range-selector-series>
<dxi-range-selector-series
argumentField="arg"
valueField="y2"
></dxi-range-selector-series>
<dxi-range-selector-series
argumentField="arg"
valueField="y3"
></dxi-range-selector-series>
</dxo-range-selector-chart>
</dx-range-selector>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxRangeSelectorModule } from 'devextreme-angular';
import { VisualRange } from 'devextreme-angular/common/charts';
import { DxChartModule } from 'devextreme-angular/ui/chart';
import { Service, ZoomingData } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
styleUrls: [`app/app.component.css`],
selector: 'demo-app',
providers: [Service],
templateUrl: `app/app.component.html`,
imports: [
DxChartModule,
DxRangeSelectorModule,
],
})
export class AppComponent {
zoomingData: ZoomingData[];
visualRange: VisualRange = {};
constructor(service: Service) {
this.zoomingData = service.getZoomingData();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
import { Injectable } from '@angular/core';
export class ZoomingData {
arg: number;
y1: number;
y2: number;
y3: number;
}
const zoomingData: ZoomingData[] = [
{
arg: 10, y1: -12, y2: 10, y3: 32,
},
{
arg: 20, y1: -32, y2: 30, y3: 12,
},
{
arg: 40, y1: -20, y2: 20, y3: 30,
},
{
arg: 50, y1: -39, y2: 50, y3: 19,
},
{
arg: 60, y1: -10, y2: 10, y3: 15,
},
{
arg: 75, y1: 10, y2: 10, y3: 15,
},
{
arg: 80, y1: 30, y2: 50, y3: 13,
},
{
arg: 90, y1: 40, y2: 50, y3: 14,
},
{
arg: 100, y1: 50, y2: 90, y3: 90,
},
{
arg: 105, y1: 40, y2: 175, y3: 120,
},
{
arg: 110, y1: -12, y2: 10, y3: 32,
},
{
arg: 120, y1: -32, y2: 30, y3: 12,
},
{
arg: 130, y1: -20, y2: 20, y3: 30,
},
{
arg: 140, y1: -12, y2: 10, y3: 32,
},
{
arg: 150, y1: -32, y2: 30, y3: 12,
},
{
arg: 160, y1: -20, y2: 20, y3: 30,
},
{
arg: 170, y1: -39, y2: 50, y3: 19,
},
{
arg: 180, y1: -10, y2: 10, y3: 15,
},
{
arg: 185, y1: 10, y2: 10, y3: 15,
},
{
arg: 190, y1: 30, y2: 100, y3: 13,
},
{
arg: 200, y1: 40, y2: 110, y3: 14,
},
{
arg: 210, y1: 50, y2: 90, y3: 90,
},
{
arg: 220, y1: 40, y2: 95, y3: 120,
},
{
arg: 230, y1: -12, y2: 10, y3: 32,
},
{
arg: 240, y1: -32, y2: 30, y3: 12,
},
{
arg: 255, y1: -20, y2: 20, y3: 30,
},
{
arg: 270, y1: -12, y2: 10, y3: 32,
},
{
arg: 280, y1: -32, y2: 30, y3: 12,
},
{
arg: 290, y1: -20, y2: 20, y3: 30,
},
{
arg: 295, y1: -39, y2: 50, y3: 19,
},
{
arg: 300, y1: -10, y2: 10, y3: 15,
},
{
arg: 310, y1: 10, y2: 10, y3: 15,
},
{
arg: 320, y1: 30, y2: 100, y3: 13,
},
{
arg: 330, y1: 40, y2: 110, y3: 14,
},
{
arg: 340, y1: 50, y2: 90, y3: 90,
},
{
arg: 350, y1: 40, y2: 95, y3: 120,
},
{
arg: 360, y1: -12, y2: 10, y3: 32,
},
{
arg: 367, y1: -32, y2: 30, y3: 12,
},
{
arg: 370, y1: -20, y2: 20, y3: 30,
},
{
arg: 380, y1: -12, y2: 10, y3: 32,
},
{
arg: 390, y1: -32, y2: 30, y3: 12,
},
{
arg: 400, y1: -20, y2: 20, y3: 30,
},
{
arg: 410, y1: -39, y2: 50, y3: 19,
},
{
arg: 420, y1: -10, y2: 10, y3: 15,
},
{
arg: 430, y1: 10, y2: 10, y3: 15,
},
{
arg: 440, y1: 30, y2: 100, y3: 13,
},
{
arg: 450, y1: 40, y2: 110, y3: 14,
},
{
arg: 460, y1: 50, y2: 90, y3: 90,
},
{
arg: 470, y1: 40, y2: 95, y3: 120,
},
{
arg: 480, y1: -12, y2: 10, y3: 32,
},
{
arg: 490, y1: -32, y2: 30, y3: 12,
},
{
arg: 500, y1: -20, y2: 20, y3: 30,
},
{
arg: 510, y1: -12, y2: 10, y3: 32,
},
{
arg: 520, y1: -32, y2: 30, y3: 12,
},
{
arg: 530, y1: -20, y2: 20, y3: 30,
},
{
arg: 540, y1: -39, y2: 50, y3: 19,
},
{
arg: 550, y1: -10, y2: 10, y3: 15,
},
{
arg: 555, y1: 10, y2: 10, y3: 15,
},
{
arg: 560, y1: 30, y2: 100, y3: 13,
},
{
arg: 570, y1: 40, y2: 110, y3: 14,
},
{
arg: 580, y1: 50, y2: 90, y3: 90,
},
{
arg: 590, y1: 40, y2: 95, y3: 12,
},
{
arg: 600, y1: -12, y2: 10, y3: 32,
},
{
arg: 610, y1: -32, y2: 30, y3: 12,
},
{
arg: 620, y1: -20, y2: 20, y3: 30,
},
{
arg: 630, y1: -12, y2: 10, y3: 32,
},
{
arg: 640, y1: -32, y2: 30, y3: 12,
},
{
arg: 650, y1: -20, y2: 20, y3: 30,
},
{
arg: 660, y1: -39, y2: 50, y3: 19,
},
{
arg: 670, y1: -10, y2: 10, y3: 15,
},
{
arg: 680, y1: 10, y2: 10, y3: 15,
},
{
arg: 690, y1: 30, y2: 100, y3: 13,
},
{
arg: 700, y1: 40, y2: 110, y3: 14,
},
{
arg: 710, y1: 50, y2: 90, y3: 90,
},
{
arg: 720, y1: 40, y2: 95, y3: 120,
},
{
arg: 730, y1: 20, y2: 190, y3: 130,
},
{
arg: 740, y1: -32, y2: 30, y3: 12,
},
{
arg: 750, y1: -20, y2: 20, y3: 30,
},
{
arg: 760, y1: -12, y2: 10, y3: 32,
},
{
arg: 770, y1: -32, y2: 30, y3: 12,
},
{
arg: 780, y1: -20, y2: 20, y3: 30,
},
{
arg: 790, y1: -39, y2: 50, y3: 19,
},
{
arg: 800, y1: -10, y2: 10, y3: 15,
},
{
arg: 810, y1: 10, y2: 10, y3: 15,
},
{
arg: 820, y1: 30, y2: 100, y3: 13,
},
{
arg: 830, y1: 40, y2: 110, y3: 14,
},
{
arg: 840, y1: 50, y2: 90, y3: 90,
},
{
arg: 850, y1: 40, y2: 95, y3: 120,
},
{
arg: 860, y1: -12, y2: 10, y3: 32,
},
{
arg: 870, y1: -32, y2: 30, y3: 12,
},
{
arg: 880, y1: -20, y2: 20, y3: 30,
},
];
@Injectable()
export class Service {
getZoomingData(): ZoomingData[] {
return zoomingData;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "21.2.17"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

Backend API
import React, { useCallback, useState } from 'react';
import Chart, {
Series,
Legend,
CommonSeriesSettings,
Point,
ArgumentAxis,
} from 'devextreme-react/chart';
import RangeSelector, {
Size,
Chart as ChartOptions,
Margin,
Scale,
Behavior,
type RangeSelectorTypes,
} from 'devextreme-react/range-selector';
import type { VisualRange } from 'devextreme-react/common/charts';
import { zoomingData } from './data.ts';
function App() {
const [visualRange, setVisualRange] = useState<VisualRange>({ startValue: 10, endValue: 880 });
const updateVisualRange = useCallback((e: RangeSelectorTypes.ValueChangedEvent) => {
setVisualRange(e.value);
}, [setVisualRange]);
return (
<>
<Chart
id="zoomedChart"
palette="Harmony Light"
dataSource={zoomingData}
>
<Series argumentField="arg" valueField="y1" />
<Series argumentField="arg" valueField="y2" />
<Series argumentField="arg" valueField="y3" />
<ArgumentAxis visualRange={visualRange} />
<Legend visible={false} />
<CommonSeriesSettings>
<Point size={7} />
</CommonSeriesSettings>
</Chart>
<RangeSelector
dataSource={zoomingData}
onValueChanged={updateVisualRange}
>
<Behavior valueChangeMode="onHandleMove" />
<Size height={120} />
<Margin left={10} />
<Scale minorTickCount={1} startValue={10} endValue={880} />
<ChartOptions palette="Harmony Light">
<Legend visible={false} />
<Series argumentField="arg" valueField="y1" />
<Series argumentField="arg" valueField="y2" />
<Series argumentField="arg" valueField="y3" />
</ChartOptions>
</RangeSelector>
</>
);
}
export default App;
import React, { useCallback, useState } from 'react';
import Chart, {
Series,
Legend,
CommonSeriesSettings,
Point,
ArgumentAxis,
} from 'devextreme-react/chart';
import RangeSelector, {
Size,
Chart as ChartOptions,
Margin,
Scale,
Behavior,
} from 'devextreme-react/range-selector';
import { zoomingData } from './data.js';
function App() {
const [visualRange, setVisualRange] = useState({ startValue: 10, endValue: 880 });
const updateVisualRange = useCallback(
(e) => {
setVisualRange(e.value);
},
[setVisualRange],
);
return (
<>
<Chart
id="zoomedChart"
palette="Harmony Light"
dataSource={zoomingData}
>
<Series
argumentField="arg"
valueField="y1"
/>
<Series
argumentField="arg"
valueField="y2"
/>
<Series
argumentField="arg"
valueField="y3"
/>
<ArgumentAxis visualRange={visualRange} />
<Legend visible={false} />
<CommonSeriesSettings>
<Point size={7} />
</CommonSeriesSettings>
</Chart>
<RangeSelector
dataSource={zoomingData}
onValueChanged={updateVisualRange}
>
<Behavior valueChangeMode="onHandleMove" />
<Size height={120} />
<Margin left={10} />
<Scale
minorTickCount={1}
startValue={10}
endValue={880}
/>
<ChartOptions palette="Harmony Light">
<Legend visible={false} />
<Series
argumentField="arg"
valueField="y1"
/>
<Series
argumentField="arg"
valueField="y2"
/>
<Series
argumentField="arg"
valueField="y3"
/>
</ChartOptions>
</RangeSelector>
</>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
const zoomingData = [
{
arg: 10, y1: -12, y2: 10, y3: 32,
},
{
arg: 20, y1: -32, y2: 30, y3: 12,
},
{
arg: 40, y1: -20, y2: 20, y3: 30,
},
{
arg: 50, y1: -39, y2: 50, y3: 19,
},
{
arg: 60, y1: -10, y2: 10, y3: 15,
},
{
arg: 75, y1: 10, y2: 10, y3: 15,
},
{
arg: 80, y1: 30, y2: 50, y3: 13,
},
{
arg: 90, y1: 40, y2: 50, y3: 14,
},
{
arg: 100, y1: 50, y2: 90, y3: 90,
},
{
arg: 105, y1: 40, y2: 175, y3: 120,
},
{
arg: 110, y1: -12, y2: 10, y3: 32,
},
{
arg: 120, y1: -32, y2: 30, y3: 12,
},
{
arg: 130, y1: -20, y2: 20, y3: 30,
},
{
arg: 140, y1: -12, y2: 10, y3: 32,
},
{
arg: 150, y1: -32, y2: 30, y3: 12,
},
{
arg: 160, y1: -20, y2: 20, y3: 30,
},
{
arg: 170, y1: -39, y2: 50, y3: 19,
},
{
arg: 180, y1: -10, y2: 10, y3: 15,
},
{
arg: 185, y1: 10, y2: 10, y3: 15,
},
{
arg: 190, y1: 30, y2: 100, y3: 13,
},
{
arg: 200, y1: 40, y2: 110, y3: 14,
},
{
arg: 210, y1: 50, y2: 90, y3: 90,
},
{
arg: 220, y1: 40, y2: 95, y3: 120,
},
{
arg: 230, y1: -12, y2: 10, y3: 32,
},
{
arg: 240, y1: -32, y2: 30, y3: 12,
},
{
arg: 255, y1: -20, y2: 20, y3: 30,
},
{
arg: 270, y1: -12, y2: 10, y3: 32,
},
{
arg: 280, y1: -32, y2: 30, y3: 12,
},
{
arg: 290, y1: -20, y2: 20, y3: 30,
},
{
arg: 295, y1: -39, y2: 50, y3: 19,
},
{
arg: 300, y1: -10, y2: 10, y3: 15,
},
{
arg: 310, y1: 10, y2: 10, y3: 15,
},
{
arg: 320, y1: 30, y2: 100, y3: 13,
},
{
arg: 330, y1: 40, y2: 110, y3: 14,
},
{
arg: 340, y1: 50, y2: 90, y3: 90,
},
{
arg: 350, y1: 40, y2: 95, y3: 120,
},
{
arg: 360, y1: -12, y2: 10, y3: 32,
},
{
arg: 367, y1: -32, y2: 30, y3: 12,
},
{
arg: 370, y1: -20, y2: 20, y3: 30,
},
{
arg: 380, y1: -12, y2: 10, y3: 32,
},
{
arg: 390, y1: -32, y2: 30, y3: 12,
},
{
arg: 400, y1: -20, y2: 20, y3: 30,
},
{
arg: 410, y1: -39, y2: 50, y3: 19,
},
{
arg: 420, y1: -10, y2: 10, y3: 15,
},
{
arg: 430, y1: 10, y2: 10, y3: 15,
},
{
arg: 440, y1: 30, y2: 100, y3: 13,
},
{
arg: 450, y1: 40, y2: 110, y3: 14,
},
{
arg: 460, y1: 50, y2: 90, y3: 90,
},
{
arg: 470, y1: 40, y2: 95, y3: 120,
},
{
arg: 480, y1: -12, y2: 10, y3: 32,
},
{
arg: 490, y1: -32, y2: 30, y3: 12,
},
{
arg: 500, y1: -20, y2: 20, y3: 30,
},
{
arg: 510, y1: -12, y2: 10, y3: 32,
},
{
arg: 520, y1: -32, y2: 30, y3: 12,
},
{
arg: 530, y1: -20, y2: 20, y3: 30,
},
{
arg: 540, y1: -39, y2: 50, y3: 19,
},
{
arg: 550, y1: -10, y2: 10, y3: 15,
},
{
arg: 555, y1: 10, y2: 10, y3: 15,
},
{
arg: 560, y1: 30, y2: 100, y3: 13,
},
{
arg: 570, y1: 40, y2: 110, y3: 14,
},
{
arg: 580, y1: 50, y2: 90, y3: 90,
},
{
arg: 590, y1: 40, y2: 95, y3: 12,
},
{
arg: 600, y1: -12, y2: 10, y3: 32,
},
{
arg: 610, y1: -32, y2: 30, y3: 12,
},
{
arg: 620, y1: -20, y2: 20, y3: 30,
},
{
arg: 630, y1: -12, y2: 10, y3: 32,
},
{
arg: 640, y1: -32, y2: 30, y3: 12,
},
{
arg: 650, y1: -20, y2: 20, y3: 30,
},
{
arg: 660, y1: -39, y2: 50, y3: 19,
},
{
arg: 670, y1: -10, y2: 10, y3: 15,
},
{
arg: 680, y1: 10, y2: 10, y3: 15,
},
{
arg: 690, y1: 30, y2: 100, y3: 13,
},
{
arg: 700, y1: 40, y2: 110, y3: 14,
},
{
arg: 710, y1: 50, y2: 90, y3: 90,
},
{
arg: 720, y1: 40, y2: 95, y3: 120,
},
{
arg: 730, y1: 20, y2: 190, y3: 130,
},
{
arg: 740, y1: -32, y2: 30, y3: 12,
},
{
arg: 750, y1: -20, y2: 20, y3: 30,
},
{
arg: 760, y1: -12, y2: 10, y3: 32,
},
{
arg: 770, y1: -32, y2: 30, y3: 12,
},
{
arg: 780, y1: -20, y2: 20, y3: 30,
},
{
arg: 790, y1: -39, y2: 50, y3: 19,
},
{
arg: 800, y1: -10, y2: 10, y3: 15,
},
{
arg: 810, y1: 10, y2: 10, y3: 15,
},
{
arg: 820, y1: 30, y2: 100, y3: 13,
},
{
arg: 830, y1: 40, y2: 110, y3: 14,
},
{
arg: 840, y1: 50, y2: 90, y3: 90,
},
{
arg: 850, y1: 40, y2: 95, y3: 120,
},
{
arg: 860, y1: -12, y2: 10, y3: 32,
},
{
arg: 870, y1: -32, y2: 30, y3: 12,
},
{
arg: 880, y1: -20, y2: 20, y3: 30,
},
];
export {
zoomingData,
};
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
defaultExtension: 'js',
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs',
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme-react/common': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
}
};
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
const zoomingData = [
{
arg: 10,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 20,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 40,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 50,
y1: -39,
y2: 50,
y3: 19,
},
{
arg: 60,
y1: -10,
y2: 10,
y3: 15,
},
{
arg: 75,
y1: 10,
y2: 10,
y3: 15,
},
{
arg: 80,
y1: 30,
y2: 50,
y3: 13,
},
{
arg: 90,
y1: 40,
y2: 50,
y3: 14,
},
{
arg: 100,
y1: 50,
y2: 90,
y3: 90,
},
{
arg: 105,
y1: 40,
y2: 175,
y3: 120,
},
{
arg: 110,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 120,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 130,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 140,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 150,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 160,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 170,
y1: -39,
y2: 50,
y3: 19,
},
{
arg: 180,
y1: -10,
y2: 10,
y3: 15,
},
{
arg: 185,
y1: 10,
y2: 10,
y3: 15,
},
{
arg: 190,
y1: 30,
y2: 100,
y3: 13,
},
{
arg: 200,
y1: 40,
y2: 110,
y3: 14,
},
{
arg: 210,
y1: 50,
y2: 90,
y3: 90,
},
{
arg: 220,
y1: 40,
y2: 95,
y3: 120,
},
{
arg: 230,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 240,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 255,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 270,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 280,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 290,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 295,
y1: -39,
y2: 50,
y3: 19,
},
{
arg: 300,
y1: -10,
y2: 10,
y3: 15,
},
{
arg: 310,
y1: 10,
y2: 10,
y3: 15,
},
{
arg: 320,
y1: 30,
y2: 100,
y3: 13,
},
{
arg: 330,
y1: 40,
y2: 110,
y3: 14,
},
{
arg: 340,
y1: 50,
y2: 90,
y3: 90,
},
{
arg: 350,
y1: 40,
y2: 95,
y3: 120,
},
{
arg: 360,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 367,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 370,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 380,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 390,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 400,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 410,
y1: -39,
y2: 50,
y3: 19,
},
{
arg: 420,
y1: -10,
y2: 10,
y3: 15,
},
{
arg: 430,
y1: 10,
y2: 10,
y3: 15,
},
{
arg: 440,
y1: 30,
y2: 100,
y3: 13,
},
{
arg: 450,
y1: 40,
y2: 110,
y3: 14,
},
{
arg: 460,
y1: 50,
y2: 90,
y3: 90,
},
{
arg: 470,
y1: 40,
y2: 95,
y3: 120,
},
{
arg: 480,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 490,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 500,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 510,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 520,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 530,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 540,
y1: -39,
y2: 50,
y3: 19,
},
{
arg: 550,
y1: -10,
y2: 10,
y3: 15,
},
{
arg: 555,
y1: 10,
y2: 10,
y3: 15,
},
{
arg: 560,
y1: 30,
y2: 100,
y3: 13,
},
{
arg: 570,
y1: 40,
y2: 110,
y3: 14,
},
{
arg: 580,
y1: 50,
y2: 90,
y3: 90,
},
{
arg: 590,
y1: 40,
y2: 95,
y3: 12,
},
{
arg: 600,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 610,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 620,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 630,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 640,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 650,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 660,
y1: -39,
y2: 50,
y3: 19,
},
{
arg: 670,
y1: -10,
y2: 10,
y3: 15,
},
{
arg: 680,
y1: 10,
y2: 10,
y3: 15,
},
{
arg: 690,
y1: 30,
y2: 100,
y3: 13,
},
{
arg: 700,
y1: 40,
y2: 110,
y3: 14,
},
{
arg: 710,
y1: 50,
y2: 90,
y3: 90,
},
{
arg: 720,
y1: 40,
y2: 95,
y3: 120,
},
{
arg: 730,
y1: 20,
y2: 190,
y3: 130,
},
{
arg: 740,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 750,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 760,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 770,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 780,
y1: -20,
y2: 20,
y3: 30,
},
{
arg: 790,
y1: -39,
y2: 50,
y3: 19,
},
{
arg: 800,
y1: -10,
y2: 10,
y3: 15,
},
{
arg: 810,
y1: 10,
y2: 10,
y3: 15,
},
{
arg: 820,
y1: 30,
y2: 100,
y3: 13,
},
{
arg: 830,
y1: 40,
y2: 110,
y3: 14,
},
{
arg: 840,
y1: 50,
y2: 90,
y3: 90,
},
{
arg: 850,
y1: 40,
y2: 95,
y3: 120,
},
{
arg: 860,
y1: -12,
y2: 10,
y3: 32,
},
{
arg: 870,
y1: -32,
y2: 30,
y3: 12,
},
{
arg: 880,
y1: -20,
y2: 20,
y3: 30,
},
];
export { zoomingData };
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.3/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
<link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>